Bug 111910 - pseudo random generation is not secure
pseudo random generation is not secure
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
s390 Linux
high Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks: 107562
  Show dependency treegraph
 
Reported: 2003-12-11 10:23 EST by Ingolf Salm
Modified: 2007-11-30 17:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-16 10:25:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ingolf Salm 2003-12-11 10:23:49 EST
Description of problem:
symptom: z90crypt_read returns predictable numbers
problem: each call to z90crypt_read requires additional entropy
solution: in s390_ksyms, externalize the function urandom_read in 
z90main, replace the current pseudo-random number generation code 
with a call to urandom-read
Comment 1 Pete Zaitcev 2004-01-12 23:50:36 EST
We do NOT allow z90crypt_read at all. This is not applicable to RHEL 3.
I would like Ingolf to confirm in case I misunderstand something in the
report description, so I am not closing this but only NEEDINFO-ing
while he investigates.
Comment 4 Bob Johnson 2004-01-15 15:37:12 EST
Ingolf,
Need some more info from you by end of business on 1/16/04 if possible.
Comment 5 Ingolf Salm 2004-01-16 09:18:27 EST
Bob,
This problem is fixed in z90crypt that you have in Update 1. We can 
close this bugzilla, if you provide hw crypto support in U1.
Comment 6 Pete Zaitcev 2004-01-16 10:25:24 EST
I suppose we can skip the MODIFIED state and close.
Consider this modified in 2.4.21-7.EL for tracking.
Closing.
Comment 7 Ernie Petrides 2005-10-05 21:45:01 EDT
This was fixed in RHEL3 U1.

Note You need to log in before you can comment on or make changes to this bug.